Subject: bug#3465: 23.0.94; feature request: be able to log minibuffer messages

From: Eli Zaretskii <[email-masked]>
Date: Thu, 20 Aug 2020 22:41:00 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 20 Aug 2020 21:18:23 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> I looked around for a utility function to add stuff to the *Messages*
> >> buffer (it has to heed the message-log-max variable etc), but I couldn't
> >> find one.
> >
> > ??? What's wrong with 'message'?
> 
> minibuffer-message can't use message here, apparently.

I'm probably missing something.  This "works for me"™:

  M-: (with-current-buffer (get-buffer " *Minibuf-1*") (minibuffer-message "foo") (message "FOO")) RET